Bug 426635 - Grub fails to boot when hide/unhide commands present
Grub fails to boot when hide/unhide commands present
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-23 07:54 EST by L. Robert Pedersen
Modified: 2009-01-09 00:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:35:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description L. Robert Pedersen 2007-12-23 07:54:38 EST
Description of problem:
In multi OS environment where two or more Windows installations have to be 
able to boot, hiding of the partition not being booted and unhiding the
partition being booted both causes grub to fail to chainload the windows boot
manager. The problem seems to be "stable" as many users have reported the
problem in various fora.

Version-Release number of selected component (if applicable):
Grub 0.97-19.i386

How reproducible:
Happens aall the time!

Steps to Reproduce:
1. insert a hide or unhide command in grub.conf file 
2. try to boot a section containing the hide or unhide command
3. Boot fails with with error
  
Actual results:


Expected results:


Additional info: It has been reported that the FC7 package works under FC8.
Should be promoted for FC8 until problem solved.
Comment 1 Tomasz Kepczynski 2008-01-14 09:02:08 EST
This is duplicate of bug #384141.
Comment 2 Bug Zapper 2008-11-26 04:08:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:35:56 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.